Page MenuHomeVyOS Platform

DNS server addresses from DHCPv6 are not added to resolv.conf
Blocked, NormalPublicBUG

Description

Exact reason is to be determined, but with Managed and OtherConfig flags and DNS server option present in DHCPv6 server config, set interfaces ethernet eth0 address dhcpv6, it acquires an addresss, but the DNS server is not added to resolv.conf

Details

Difficulty level
Unknown (require assessment)
Version
1.2-rolling-201909240547
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

syncer changed the task status from Open to Needs testing.Nov 16 2019, 11:06 PM
syncer assigned this task to zsdc.
syncer triaged this task as Normal priority.
syncer edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
pasik added a subscriber: pasik.May 16 2020, 8:12 AM
jjakob changed the task status from Needs testing to In progress.Jun 10 2020, 8:07 PM
jjakob claimed this task.
jjakob moved this task from Need Triage to In Progress on the VyOS 1.3 Equuleus board.
jjakob added a subscriber: zsdc.

This would have been fixed for isc-dhcp-client if T2590 hadn't happened in the process of me working on it, now it requires writing a new dhclient script for the WIDE client.